Nenhum recurso encontrado que corresponde ao nome dado " android: Theme.Material.Light.DarkActionBar '

? Ramprasad @ | Original: StackOverFlow
---

Eu tento mudar minha HelloWorld Aplicação tema holo ao tema Material.Light.DarkActionBar ( Como dito por que há de novo sessão Android Development Tools ) . Mas eu tenho seguinte erro . Eu tento mudar versão de destino SDK é 21. Mas nós não temos 21 SDK no Gerenciador SDK. Nessa sessão, segundo eles, definir xml estilo para v -21 .

valores / styles.xml

<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="android:Theme.Holo.Light.DarkActionBar">
        <!-- Customize your theme here. -->
    </style>

</resources>

valores - v21 / styles.xml

<?xml version="1.0" encoding="utf-8"?>
<resources>

    !-- Base application theme. -->
    <style name="AppTheme" parent="android:Theme.Material.Light.DarkActionBar">
        <!-- Customize your theme here. -->
    </style>
</resources>

build.gradle

apply plugin: 'com.android.application'

android {
    compileSdkVersion 20
    buildToolsVersion "20.0.0"

    defaultConfig {
        applicationId "com.ramapps.helloworld"
        minSdkVersion 15
        targetSdkVersion 20
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
}

Error:

Error:Error retrieving parent for item: No resource found that matches the given name 'android:Theme.Material.Light.DarkActionBar'.
Error:Execution failed for task ':app:processDebugResources'.
> com.android.ide.common.internal.LoggedErrorException: Failed to run command:
    /Applications/Android Studio.app/sdk/build-tools/android-4.4W/aapt package -f --no-crunch -I /Applications/Android Studio.app/sdk/platforms/android-20/android.jar -M /Users/Ram_PC/Ram/MyDrive/My_Workspaces/Android_Studio_Workspace_L/HelloWorld/app/build/intermediates/manifests/debug/AndroidManifest.xml -S /Users/Ram_PC/Ram/MyDrive/My_Workspaces/Android_Studio_Workspace_L/HelloWorld/app/build/intermediates/res/debug -A /Users/Ram_PC/Ram/MyDrive/My_Workspaces/Android_Studio_Workspace_L/HelloWorld/app/build/intermediates/assets/debug -m -J /Users/Ram_PC/Ram/MyDrive/My_Workspaces/Android_Studio_Workspace_L/HelloWorld/app/build/generated/source/r/debug -F /Users/Ram_PC/Ram/MyDrive/My_Workspaces/Android_Studio_Workspace_L/HelloWorld/app/build/intermediates/libs/app-debug.ap_ --debug-mode --custom-package com.ramapps.helloworld -0 apk
  Error Code:
    1
  Output:
    /Users/Ram_PC/Ram/MyDrive/My_Workspaces/Android_Studio_Workspace_L/HelloWorld/app/build/intermediates/res/debug/values-v21/values.xml:7: error: Error retrieving parent for item: No resource found that matches the given name 'android:Theme.Material.Light.DarkActionBar'.
---

Top 5 Responder

1theyanu @

Você pode tentar definir os valores da build.gradle como este (atualizado para API 21):

android {
  compileSdkVersion 21
  buildToolsVersion "21.1.1"
  defaultConfig {
    minSdkVersion 21 //Depends on the min version you would like to support
    targetSdkVersion 21
    versionCode 1
    versionName "1.0"
}
2Nicks @

Nós não podemos instalar aplicativos que visam L visualização em qualquer coisa, mas os dispositivos L .

Mudando res/values/styles.xml, Theme.Material.Light para Theme.Light e seguindo build.gradle funcionou para mim.

android {
    compileSdkVersion 20
    buildToolsVersion '20.0.0'
    defaultConfig {
        applicationId 'com.example.android.market.licensing'
        minSdkVersion 13
        targetSdkVersion 20
        versionCode 1
        versionName '1.0'
    }

Apesar de Theme.Material.Light é parte da versão 20sdk mas de alguma forma ele não está funcionando para mim.

3Jay Mayu @

Acho que o problema aqui é que você precisa para definir o seu buildToolsVersion para pré Android versão L.

Here my gradle

apply plugin: 'com.android.application'

android {
    compileSdkVersion 19
    buildToolsVersion "19.1.0"

    defaultConfig {
        applicationId "com.mayuonline.ribbit"
        minSdkVersion 15
        targetSdkVersion 19
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    // You must install or update the Support Repository through the SDK manager to use this dependency.
    compile 'com.android.support:support-v13:19.+'
}

Também certifique-se de mudar o styles.xml como abaixo

<?xml version="1.0" encoding="utf-8"?>
<resources>
    <style name="AppTheme" parent="android:Theme.Light">
    </style>
</resources>

Isto deve resolver o problema.

4Ajay Sharma @

Definir Alvo de seu aplicativo para Nível API 21 de AssemblyMenifest.xml ou adicionar <uses-sdk android:targetSdkVersion="21" android:minSdkVersion="19" /> tag no seu AssemblyMenifest.xml